Main Page | Namespace List | Class Hierarchy | Class List | File List | Namespace Members | Class Members | File Members

# mysqlpp::FieldTypes Class Reference

A vector of SQL field types. More...

`#include <field_types.h>`

List of all members.

## Public Member Functions
| FieldTypes ()
| Default constructor.
| FieldTypes (const ResUse *res)
| Create list of field types from a result set.
| FieldTypes (int i)
| Create fixed-size list of uninitialized field types.
FieldTypes & | operator= (const ResUse *res)
| Initialize field list based on a result set.
FieldTypes & | operator= (int i)
| Insert a given number of uninitialized field type objects at the beginning of the list.
mysql_type_info & | operator[] (int i)
| Returns a field type within the list given its index.
const mysql_type_info & | operator[] (int i) const
| Returns a field type within the list given its index, in const context.

## Detailed Description

A vector of SQL field types.

## Member Function Documentation

FieldTypes& mysqlpp::FieldTypes::operator= | ( | int | i | ) | `[inline]`

  | Insert a given number of uninitialized field type objects at the beginning of the list. Parameters:
  i | number of field type objects to insert

The documentation for this class was generated from the following files:

- field_types.h
- field_types.cpp